# MDrawMetric Struct Reference
[Drawing]

Type of metric for glyphs and texts. More...

## Data Fields

int | x
int | y
unsigned int | width
unsigned int | height

## Detailed Description

Type of metric for glyphs and texts.

The type MDrawMetric is for a metric of a glyph and a drawn text. It is also used to represent a rectangle area of a graphic device.

## Field Documentation

int MDrawMetric::x

X coordinates of a glyph or a text.

int MDrawMetric::y

Y coordinates of a glyph or a text.

unsigned int MDrawMetric::width

Pixel width of a glyph or a text.

unsigned int MDrawMetric::height

Pixel height of a glyph or a text.